Alumni Short

Cornell Law School: Apply

Thank you for your interest in Cornell Law School.

Apply via LSAC to the Juris Doctor Program at Cornell Law School (electronic application service).

Prerequisites

You must have taken the LSAT and have earned a baccalaureate degree from an accredited college or university.  If you have questions about prerequisites or need more details, please contact the Admissions Office.

Your application and all supporting documents must be submitted through LSAC by the following deadlines:

  • Early Decision Round I - November 1
  • Early Decision Round II - January 8
  • Regular Decision - February 1

A complete application includes the following:

Application Checklist

  • A completed application form, personal statement, resume, and Credential Assembly Service (CAS) report
  • Two letters of recommendation or completed LSAC evaluations
  • U.S. $80 application fee (non-refundable)

  • Complete accuracy is required in all statements made on any portion of the application.  To ensure that decisions are based on factual information, we audit some applications at random each year.  In addition, you are required to update us about any changes that take place after submission of the application.  Inaccurate, incomplete, or misleading statements, or failure to update, can result in withdrawal of admission offers, honor code proceedings, dismissal from Cornell Law School, rescission or cancellation of any degrees you may have received from Cornell Law School, or other disciplinary sanctions.

    Note: In some states, you must register with the Board of Bar Examiners before beginning the study of law.  Make sure you check the requirements in the state(s) where you want to practice.  All applicants are advised that there are character, fitness, and other qualifications for admission to the bar.  Prior to your matriculation at Cornell Law School, you are encouraged to determine what those bar admission requirements are in the state(s) in which you intend to practice.

    Viewbooks



    In order to view and print the pdf versions of these documents, you must have Adobe Acrobat Reader 9.0 installed on your computer.